
#
# GENERATED WITH PDL::PP! Don't modify!
#
package PDL::NDBin::Utils_PP;

our @EXPORT_OK = qw(PDL::PP _validate_grid );
our %EXPORT_TAGS = (Func=>[@EXPORT_OK]);

use PDL::Core;
use PDL::Exporter;
use DynaLoader;



   our $VERSION = '0.020';
   our @ISA = ( 'PDL::Exporter','DynaLoader' );
   push @PDL::Core::PP, __PACKAGE__;
   bootstrap PDL::NDBin::Utils_PP $VERSION;


BEGIN {

# ABSTRACT: XS utils for PDL::NDBin

=head1 NAME

PDL::NDBin::Utils_PP - XS utils for PDL::NDBin

=head1 DESCRIPTION

This module contains internal utilities for PDL::NDBin. The
subroutines are not intended to be called by the user.

=cut

# silence Test::Pod::Coverage warning
=for Pod::Coverage set_boundscheck set_debugging

=cut



}





=head1 FUNCTIONS



=cut






=head2 _validate_grid

=for sig

  Signature: (grid(n))

Validate a grid.

This function throws an exception if a grid is not monotonically increasing or decreasing.

=for bad

_validate_grid does not process bad values.
It will set the bad-value flag of all output ndarrays if the flag is set for any of the input ndarrays.


=cut






*_validate_grid = \&PDL::_validate_grid;



;



# Exit with OK status

1;

		   